Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159144 - Removal of libfam.la breaks *lots* of KDE
Summary: Removal of libfam.la breaks *lots* of KDE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gamin
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-30 16:46 UTC by Ville Skyttä
Modified: 2008-05-09 17:34 UTC (History)
7 users (show)

Fixed In Version: 0.1.3-1.FC4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-18 08:53:50 UTC


Attachments (Terms of Use)
Patch to solve broke gamin package based on cvs version (deleted)
2005-06-02 16:52 UTC, Jochen Schmitt
no flags Details | Diff

Description Ville Skyttä 2005-05-30 16:46:51 UTC
The removal of libfam.la from gamin makes the build of lots, if not all KDE apps
to fail, unless the FC KDE (and apparently all apps which were built against
that, at least -devel packages) get rebuilt.  Just grep for libfam.la in
/usr/lib/*.la, and see also bugs 158973 and 159090.  Looks like it would be a
*lot* easier to fix this breakage by restoring the *.la (or at least libfam.la)
in gamin-devel.

Comment 1 Jochen Schmitt 2005-06-02 16:52:35 UTC
Created attachment 115094 [details]
Patch to solve broke gamin package based on cvs version

It's very important to solve this bug, becouse it is semms inpossible to build
any KDE application.

My Inclussion of kyum to FE is pending, until this bug will be solved.

Best Regards:

Jochen Schmitt

Comment 2 Daniel Veillard 2005-06-02 21:30:04 UTC
This is wrong. The policy is to remove the .la on the distro. This is a bug
in the kde layers if their development build still requires it, possibly they 
need to be recompiled or adjusted. 

Daniel

Comment 3 Jerry Amundson 2005-06-03 06:32:20 UTC
Whatever the policy, this needs to be corrected. I cannot compile Krecipes - how
am I to eat? :-)

Comment 4 Evan Moore 2005-06-03 11:49:12 UTC
Nor Can I ever look at my photos again without DigiKam 

Comment 5 Ville Skyttä 2005-06-03 15:38:37 UTC
Daniel, I'm not opposed to such a policy per se, but where one can read about it
being decided or even discussed recently?  I haven't seen anything on
fedora-devel, fedora-maintainers or fedora-packaging lists that would indicate
*.la being removed distro-wide for FC4.

Also, such changes obviously need better coordination.  The current situation is
not limited to kdelibs, at least these FC packages are more or less broken (ie.
still contain libfam.la in one or more of their /usr/lib/*.la or
/usr/lib/kde3/*.la), and there may be more elsewhere:

k3b-0.11.23-3
kdeaddons-3.4.0-2
kdeartwork-3.4.0-1
kdebase-3.4.0-5
kdegraphics-3.4.0-2
kdelibs-3.4.0-6
kdemultimedia-3.4.0-2
kdenetwork-3.4.0-3
kdepim-3.4.0-4
kdeutils-3.4.0-1

All 3rd party KDE applications compiled against the current or past FC KDE are
probably affected in the same way.  Not cool.

Comment 6 Elliot Lee 2005-06-03 17:17:30 UTC
For FC4 we'll just add the .la file back in. This fix is not included in the
devel branch so Daniel will need to make the decision for the long-term (either
put the .la file back in or rebuild all the k* packages, as I understand it).

Comment 7 Daniel Veillard 2005-06-04 08:38:38 UTC
w.r.t. comment #5, I got automatically generated (my guess) bug reports
for all my packages which contained .la files like:
  #154142 , #152515, #145973, #145972, #142243, #142241
and that's just for the last 6 months !
Now people need to set up their mind, either la should be kept or must
go, but getting bug reports for both is just not acceptable.
Status quo is that .la files must go as far as I understand, so I think
the KDE packages will need to be rebuild for Rawhide.

Eliott, w.r.t. #6 are you making that rebuild or should I do it ?

Daniel

Comment 8 Ngo Than 2005-06-06 08:18:52 UTC
I think for FC4 it's too late to do this change (removing *.la files).
I will suggest to revert this change for FC4. And for fc4 we will remove it.

Comment 9 Ngo Than 2005-06-06 08:21:10 UTC
i have seen Elliot has already added *.la files back for FC4.

Comment 10 Felix 2005-07-26 05:14:40 UTC
Although this bug is marked as close, I am still getting this error with most
lates update of FC4. Specifically, I am getting the following:

/bin/sed: can't read /usr/lib/libfam.la: No such file or directory
libtool: link: `/usr/lib/libfam.la' is not a valid libtool archive
make[4]: *** [libimageeditor.la] Error 1
make[4]: Leaving directory
`/opt/download/digikam-0.7.4/digikam/utilities/imageeditor'

The file *is* there, although I don't whether it is a valid libtool archive or
not... I am running FC4 (2.6.12-1.1398_FC4), KDE 3.4.1-0 and trying to build
digikam 0.7.4

Is it indeed resolved (and I am doing something stupid) or it is not released yet?

Thanks

Comment 11 Ngo Than 2005-07-26 08:08:34 UTC
The current gamin-0.1.1-1.FC4 still includes the *.la files. You should 
update to gamin-0.1.1-1.FC4, which is available in FC4-update.


Comment 12 Felix 2005-07-26 14:57:28 UTC
Ngo,
I am sorry to nag again, but this message raised more questions for me than
answerd... Like I said earlier, I *have* /usr/lib/libfam.la. Also, I have
gamin-0.1.2-1.FC4. However, I looked at it with rpm -ql, and it doesn't have
libfam.la:

~$rpm -ql gamin
/usr/lib/libfam.so.0
/usr/lib/libfam.so.0.0.0
/usr/lib/libgamin-1.so.0
/usr/lib/libgamin-1.so.0.1.2
/usr/libexec/gam_server
/usr/share/doc/gamin-0.1.2
... (html and related files in /usr/share/doc/gamin-0.1.2)

Neither has gamin-devel:
~$rpm -ql gamin-devel
/usr/include/fam.h
/usr/lib/libfam.a
/usr/lib/libfam.so
/usr/lib/libgamin-1.a
/usr/lib/libgamin-1.so
/usr/lib/libgamin_shared.a
/usr/lib/pkgconfig/gamin.pc

Are you suggesting I should *downgrade* to gamin-0.1.1? I am fairly new to Linux
client, so I apologize if these questions don't make sense :-)

Comment 13 Ngo Than 2005-07-26 15:32:03 UTC
i have taken a look at gamin-0.1.2-1.FC4. The *.la files have been removed again.

DV:
for FC4, you cannot remove it, it breaks the dependency in KDE.
Could you please revert this change.
it would be ok for FC5 but not for FC4.
  



Comment 14 Daniel Veillard 2005-08-18 08:53:50 UTC
gamin-0.1.3-1.FC4 should have the .la


Note You need to log in before you can comment on or make changes to this bug.